Package org.opentcs.data

# Class ObjectUnknownException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.opentcs.access.KernelRuntimeException
org.opentcs.data.ObjectUnknownException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ObjectUnknownException
    extends KernelRuntimeException

Thrown when an object was supposed to be returned/removed/modified, but could not be found.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ObjectUnknownException​(java.lang.String message)` | Creates a new ObjectExistsException with the given detail message.
  `ObjectUnknownException​(java.lang.String message, java.lang.Throwable cause)` | Creates a new ObjectExistsException with the given detail message and cause.
  `ObjectUnknownException​(TCSObjectReference<?> ref)` | Creates a new ObjectExistsException for the given object reference.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ObjectUnknownException

    public ObjectUnknownException​(java.lang.String message)
    Creates a new ObjectExistsException with the given detail message.
    Parameters:
      `message` - The detail message.

  - ### ObjectUnknownException

    public ObjectUnknownException​(TCSObjectReference<?> ref)
    Creates a new ObjectExistsException for the given object reference.
    Parameters:
      `ref` - The object reference.

  - ### ObjectUnknownException

    public ObjectUnknownException​(java.lang.String message, java.lang.Throwable cause)
    Creates a new ObjectExistsException with the given detail message and cause.
    Parameters:
      `message` - The detail message.
      `cause` - The cause.